/***************************************************************************
**
**    $Header:   D:/EPSLDV1/SRC/LOG/DL.H__   1.5   20 Jun 1996 09:29:30   ZJRD  $
**
**    $Log:   D:/EPSLDV1/SRC/LOG/DL.H__  $
** 
**    Rev 1.5   20 Jun 1996 09:29:30   ZJRD
** EasyPack/SLD Version 1.20a
** 
**    Rev 1.3   10 Jun 1996 10:24:08   ZJRD
** EasyPack/SLD Version 1.20
** 
**    Rev 1.1   29 May 1996 09:35:46   ZJRD
** EasyPack/SLD Version 1.95
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// dl.h
//
// Michael Long
//                                                                           
// 5/14/96
//
/////////////////////////////////////////////////////////////////////////////
#ifndef _DL_
#define _DL_

class DLTool : public CToolOption
{      
// constructor/destructor
public:
    DLTool() { SetDefault(); }
    
// attributes
public:      
    BOOL    m_fLine;
    BOOL    m_fLSymbol;
    BOOL    m_fPSymbol;
    CString m_strMore;
    CString m_strPath;

    virtual LPCSTR GetToolName(void) const 
    {
        return "OMF51 L51 Linker";
    }

// operations
public:
    virtual void SetDefault(void);
    virtual BOOL LoadOption(FILE * fp);
    virtual BOOL SaveOption(FILE * fp);

    CString GetOption(void);

// diagnostic
public:
#ifdef _DEBUG
    virtual void Dump(CDumpContext &dc) const;
#endif      
};

#endif // _DL_
